Creates a new user_planning_slot_type
Request Information
URI Parameters :
None.
Body Parameters :
user_planning_slot_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the user planning slot type. |
string |
Required Max length: 50 |
| background_color |
User can select amongst any color. |
string |
Max length: 7 |
| sales_organization_id |
Organization on which belongs the user planning slot type |
globally unique identifier |
Required |
| is_support |
To specify if this slot inform the user he is "on call" during that period. |
boolean | |
| show_on_user_job_list |
to specify if need to be shown on wo list. |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "f3acd66f-7531-48f5-bb4d-9936a0e13bb6",
"name": "sample string 2",
"background_color": "sample ",
"sales_organization_id": "a49bcf12-4c06-44b7-80c4-aac4727d11df",
"is_support": true,
"show_on_user_job_list": true,
"modified_dateutc": "2026-04-14T05:28:21.8588779+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.